#include <iostream>
using namespace std;
int main()
{
    int n, l;
    cin >> n >> l;
    int h[n+1];
    for(int i = 1; i <= n; i++)
    {
        cin >> h[i];
    }
    for(int i = 1; i <= n; i++)
    {
        if(l>=h[i])
        {
         cout << i;
         exit(0);
        }
    }
    cout << -1;
}